from hashlib import sha512


def hashA (m, bits):
	cantidad_hashes = (bits + 511) // 512

	h = b''
	for n in range (cantidad_hashes):
		nHex = b'%x' % n
		h += sha512 (nHex + m).digest ()

	return h


# ----------------------------------------------------------------
if __name__ == '__main__':

	bits = 100
	m = b'abc'
	h = hashA (m, bits)

	print ('# m = ' + str (m))
	print ('# hashA (m) = ' + repr (h))

